# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/ColorDialogWizard/ColorDialogWizardDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ColorDialogWizardDialog(object):
    def setupUi(self, ColorDialogWizardDialog):
        ColorDialogWizardDialog.setObjectName("ColorDialogWizardDialog")
        ColorDialogWizardDialog.resize(381, 481)
        ColorDialogWizardDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(ColorDialogWizardDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.groupBox.setObjectName("groupBox")
        self.hboxlayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.hboxlayout.setObjectName("hboxlayout")
        self.rColor = QtWidgets.QRadioButton(parent=self.groupBox)
        self.rColor.setChecked(True)
        self.rColor.setObjectName("rColor")
        self.hboxlayout.addWidget(self.rColor)
        self.rRGBA = QtWidgets.QRadioButton(parent=self.groupBox)
        self.rRGBA.setObjectName("rRGBA")
        self.hboxlayout.addWidget(self.rRGBA)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.groupBox_4.setObjectName("groupBox_4")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_4)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.eResultVar = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.eResultVar.setObjectName("eResultVar")
        self.horizontalLayout.addWidget(self.eResultVar)
        self.verticalLayout_2.addWidget(self.groupBox_4)
        self.titleGroup = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.titleGroup.setObjectName("titleGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.titleGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.eTitle = QtWidgets.QLineEdit(parent=self.titleGroup)
        self.eTitle.setObjectName("eTitle")
        self.verticalLayout.addWidget(self.eTitle)
        self.verticalLayout_2.addWidget(self.titleGroup)
        self.parentGroup = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.parentGroup.setObjectName("parentGroup")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.parentGroup)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.parentSelf = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentSelf.setChecked(True)
        self.parentSelf.setObjectName("parentSelf")
        self.gridLayout_3.addWidget(self.parentSelf, 0, 0, 1, 1)
        self.parentNone = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentNone.setObjectName("parentNone")
        self.gridLayout_3.addWidget(self.parentNone, 0, 1, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.parentOther = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentOther.setObjectName("parentOther")
        self.horizontalLayout_2.addWidget(self.parentOther)
        self.parentEdit = QtWidgets.QLineEdit(parent=self.parentGroup)
        self.parentEdit.setEnabled(False)
        self.parentEdit.setObjectName("parentEdit")
        self.horizontalLayout_2.addWidget(self.parentEdit)
        self.gridLayout_3.addLayout(self.horizontalLayout_2, 1, 0, 1, 2)
        self.verticalLayout_2.addWidget(self.parentGroup)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.vboxlayout.setObjectName("vboxlayout")
        self.eColor = QtWidgets.QComboBox(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.eColor.sizePolicy().hasHeightForWidth())
        self.eColor.setSizePolicy(sizePolicy)
        self.eColor.setEditable(True)
        self.eColor.setObjectName("eColor")
        self.eColor.addItem("")
        self.eColor.setItemText(0, "")
        self.eColor.addItem("")
        self.eColor.setItemText(1, "Qt.GlobalColor.red")
        self.eColor.addItem("")
        self.eColor.setItemText(2, "Qt.GlobalColor.darkRed")
        self.eColor.addItem("")
        self.eColor.setItemText(3, "Qt.GlobalColor.green")
        self.eColor.addItem("")
        self.eColor.setItemText(4, "Qt.GlobalColor.darkGreen")
        self.eColor.addItem("")
        self.eColor.setItemText(5, "Qt.GlobalColor.blue")
        self.eColor.addItem("")
        self.eColor.setItemText(6, "Qt.GlobalColor.darkBlue")
        self.eColor.addItem("")
        self.eColor.setItemText(7, "Qt.GlobalColor.cyan")
        self.eColor.addItem("")
        self.eColor.setItemText(8, "Qt.GlobalColor.darkCyan")
        self.eColor.addItem("")
        self.eColor.setItemText(9, "Qt.GlobalColor.magenta")
        self.eColor.addItem("")
        self.eColor.setItemText(10, "Qt.GlobalColor.darkMagenta")
        self.eColor.addItem("")
        self.eColor.setItemText(11, "Qt.GlobalColor.yellow")
        self.eColor.addItem("")
        self.eColor.setItemText(12, "Qt.GlobalColor.darkYellow")
        self.eColor.addItem("")
        self.eColor.setItemText(13, "Qt.GlobalColor.white")
        self.eColor.addItem("")
        self.eColor.setItemText(14, "Qt.GlobalColor.lightGray")
        self.eColor.addItem("")
        self.eColor.setItemText(15, "Qt.GlobalColor.gray")
        self.eColor.addItem("")
        self.eColor.setItemText(16, "Qt.GlobalColor.darkGray")
        self.eColor.addItem("")
        self.eColor.setItemText(17, "Qt.GlobalColor.black")
        self.eColor.addItem("")
        self.eColor.setItemText(18, "Qt.GlobalColor.transparent")
        self.eColor.addItem("")
        self.eColor.setItemText(19, "Qt.GlobalColor.color0")
        self.eColor.addItem("")
        self.eColor.setItemText(20, "Qt.GlobalColor.color1")
        self.vboxlayout.addWidget(self.eColor)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=ColorDialogWizardDialog)
        self.groupBox_3.setEnabled(False)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridlayout = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridlayout.setVerticalSpacing(6)
        self.gridlayout.setObjectName("gridlayout")
        self.eRGB = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.eRGB.setObjectName("eRGB")
        self.gridlayout.addWidget(self.eRGB, 3, 0, 1, 4)
        self.TextLabel2 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.TextLabel2.setObjectName("TextLabel2")
        self.gridlayout.addWidget(self.TextLabel2, 2, 0, 1, 4)
        self.sAlpha = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.sAlpha.setMaximum(255)
        self.sAlpha.setObjectName("sAlpha")
        self.gridlayout.addWidget(self.sAlpha, 1, 3, 1, 1)
        self.sBlue = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.sBlue.setMaximum(255)
        self.sBlue.setProperty("value", 128)
        self.sBlue.setObjectName("sBlue")
        self.gridlayout.addWidget(self.sBlue, 1, 2, 1, 1)
        self.sGreen = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.sGreen.setMaximum(255)
        self.sGreen.setProperty("value", 128)
        self.sGreen.setObjectName("sGreen")
        self.gridlayout.addWidget(self.sGreen, 1, 1, 1, 1)
        self.sRed = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.sRed.setMaximum(255)
        self.sRed.setProperty("value", 128)
        self.sRed.setObjectName("sRed")
        self.gridlayout.addWidget(self.sRed, 1, 0, 1, 1)
        self.TextLabel1_4 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.TextLabel1_4.setObjectName("TextLabel1_4")
        self.gridlayout.addWidget(self.TextLabel1_4, 0, 3, 1, 1)
        self.TextLabel1_3 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.TextLabel1_3.setObjectName("TextLabel1_3")
        self.gridlayout.addWidget(self.TextLabel1_3, 0, 2, 1, 1)
        self.TextLabel1 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.TextLabel1.setObjectName("TextLabel1")
        self.gridlayout.addWidget(self.TextLabel1, 0, 0, 1, 1)
        self.TextLabel1_2 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.TextLabel1_2.setObjectName("TextLabel1_2")
        self.gridlayout.addWidget(self.TextLabel1_2, 0, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ColorDialogWizardDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(ColorDialogWizardDialog)
        self.rColor.toggled['bool'].connect(self.groupBox_2.setEnabled) # type: ignore
        self.rRGBA.toggled['bool'].connect(self.groupBox_3.setEnabled) # type: ignore
        self.buttonBox.accepted.connect(ColorDialogWizardDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ColorDialogWizardDialog.reject) # type: ignore
        self.parentOther.toggled['bool'].connect(self.parentEdit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ColorDialogWizardDialog)
        ColorDialogWizardDialog.setTabOrder(self.rColor, self.rRGBA)
        ColorDialogWizardDialog.setTabOrder(self.rRGBA, self.eResultVar)
        ColorDialogWizardDialog.setTabOrder(self.eResultVar, self.eTitle)
        ColorDialogWizardDialog.setTabOrder(self.eTitle, self.parentSelf)
        ColorDialogWizardDialog.setTabOrder(self.parentSelf, self.parentNone)
        ColorDialogWizardDialog.setTabOrder(self.parentNone, self.parentOther)
        ColorDialogWizardDialog.setTabOrder(self.parentOther, self.parentEdit)
        ColorDialogWizardDialog.setTabOrder(self.parentEdit, self.eColor)
        ColorDialogWizardDialog.setTabOrder(self.eColor, self.sRed)
        ColorDialogWizardDialog.setTabOrder(self.sRed, self.sGreen)
        ColorDialogWizardDialog.setTabOrder(self.sGreen, self.sBlue)
        ColorDialogWizardDialog.setTabOrder(self.sBlue, self.sAlpha)
        ColorDialogWizardDialog.setTabOrder(self.sAlpha, self.eRGB)
        ColorDialogWizardDialog.setTabOrder(self.eRGB, self.buttonBox)

    def retranslateUi(self, ColorDialogWizardDialog):
        _translate = QtCore.QCoreApplication.translate
        ColorDialogWizardDialog.setWindowTitle(_translate("ColorDialogWizardDialog", "QColorDialog Wizard"))
        self.groupBox.setTitle(_translate("ColorDialogWizardDialog", "Type"))
        self.rColor.setToolTip(_translate("ColorDialogWizardDialog", "Select to generate a QColorDialog.getColor dialog"))
        self.rColor.setText(_translate("ColorDialogWizardDialog", "Color"))
        self.rRGBA.setToolTip(_translate("ColorDialogWizardDialog", "Select to generate a QColorDialog.getRgba dialog"))
        self.rRGBA.setText(_translate("ColorDialogWizardDialog", "RGBA"))
        self.groupBox_4.setTitle(_translate("ColorDialogWizardDialog", "Result"))
        self.eResultVar.setToolTip(_translate("ColorDialogWizardDialog", "Enter the result variable name"))
        self.titleGroup.setTitle(_translate("ColorDialogWizardDialog", "Title"))
        self.eTitle.setToolTip(_translate("ColorDialogWizardDialog", "Enter the dialog title"))
        self.parentGroup.setTitle(_translate("ColorDialogWizardDialog", "Parent"))
        self.parentSelf.setToolTip(_translate("ColorDialogWizardDialog", "Select \"self\" as parent"))
        self.parentSelf.setText(_translate("ColorDialogWizardDialog", "self"))
        self.parentNone.setToolTip(_translate("ColorDialogWizardDialog", "Select \"None\" as parent"))
        self.parentNone.setText(_translate("ColorDialogWizardDialog", "None"))
        self.parentOther.setToolTip(_translate("ColorDialogWizardDialog", "Select to enter a parent expression"))
        self.parentOther.setText(_translate("ColorDialogWizardDialog", "Expression:"))
        self.parentEdit.setToolTip(_translate("ColorDialogWizardDialog", "Enter the parent expression"))
        self.groupBox_2.setTitle(_translate("ColorDialogWizardDialog", "Color"))
        self.eColor.setToolTip(_translate("ColorDialogWizardDialog", "Enter a variable name or a color"))
        self.groupBox_3.setTitle(_translate("ColorDialogWizardDialog", "RGBA"))
        self.eRGB.setToolTip(_translate("ColorDialogWizardDialog", "Enter a variable name"))
        self.TextLabel2.setText(_translate("ColorDialogWizardDialog", "Color Variable"))
        self.sAlpha.setToolTip(_translate("ColorDialogWizardDialog", "Enter the alpha value"))
        self.sBlue.setToolTip(_translate("ColorDialogWizardDialog", "Enter the blue value"))
        self.sGreen.setToolTip(_translate("ColorDialogWizardDialog", "Enter the green value"))
        self.sRed.setToolTip(_translate("ColorDialogWizardDialog", "Enter the red value"))
        self.TextLabel1_4.setText(_translate("ColorDialogWizardDialog", "Alpha"))
        self.TextLabel1_3.setText(_translate("ColorDialogWizardDialog", "Blue"))
        self.TextLabel1.setText(_translate("ColorDialogWizardDialog", "Red"))
        self.TextLabel1_2.setText(_translate("ColorDialogWizardDialog", "Green"))
